libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
pqxx::notify_listener Class Reference

`#include <notify-listen.hxx>`

## Public Member Functions

| notify_listener (connection_base &C, const std::string &N)
| Constructor. Registers the listener with connection C.
virtual | ~notify_listener () throw ()
const std::string & | name () const
virtual void | operator() (int be_pid)=0
| Overridable: action to invoke when notification arrives.

## Protected Member Functions

connection_base & | Conn () const throw ()
connection_base & | conn () const throw ()
| Get the connection that this listener listens on.

## Constructor & Destructor Documentation

pqxx::notify_listener::notify_listener | ( | connection_base & | C,
|  | const std::string & | N
| ) |  |

Constructor. Registers the listener with connection C.

Parameters

  C | Connection this listener resides in.
  N | Name of the notification to listen for.

pqxx::notify_listener::~notify_listener | ( |  | ) | throw ()

virtual

## Member Function Documentation

connection_base& pqxx::notify_listener::Conn | ( |  | ) | const throw ()

protected

Deprecated:
  Use conn() instead.

connection_base& pqxx::notify_listener::conn | ( |  | ) | const throw ()

protected

Get the connection that this listener listens on.

const std::string& pqxx::notify_listener::name | ( |  | ) | const

virtual void pqxx::notify_listener::operator() | ( | int | be_pid | ) |

pure virtual

Overridable: action to invoke when notification arrives.

Parameters

  be_pid | Process ID of the database backend process that served our connection when the notification arrived. The actual process ID behind the connection may have changed by the time this method is called.

The documentation for this class was generated from the following files:

- notify-listen.hxx
- notify-listen.cxx